Bug 1005975 - libdsk builds incorrectly for AArch64
libdsk builds incorrectly for AArch64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libdsk (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 14:44 EDT by Mark Salter
Modified: 2016-07-19 06:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:22:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to work around autotools problem with aarch64 (892 bytes, patch)
2013-09-09 14:44 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-09-09 14:44:34 EDT
Created attachment 795733 [details]
patch to work around autotools problem with aarch64

Description of problem:
AArch64 isn't fully supported in libdsk's config/aclocal.m4 which leads to libtool problems finding shared libraries. The build succeeds, but is incomplete. The build log shows:

*** Warning: linker path does not have real file for library -lbz2.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libbz2 but no candidates were found. (...for file magic test)
*** Warning: linker path does not have real file for library -lz.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libz but no candidates were found. (...for file magic test)
*** The inter-library dependencies that have been dropped here will be
*** automatically added whenever a program is linked with this library
*** or is declared to -dlopen it.

I worked around this with the attached patch. Upstream libdsk has a 1.3.3 devel version which uses updated autotools and does not appear to have the problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Christopher Meng 2013-09-09 19:08:45 EDT
I will add libdsk author to cc.
Comment 2 Christopher Meng 2013-10-18 00:07:26 EDT
Should I update it to 1.3.3?
Comment 3 Lucian Langa 2014-02-13 05:19:47 EST
Rawhide has 1.2.2 built.
Comment 4 Jaroslav Reznik 2015-03-03 11:55:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 06:22:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.